Contenu | Rechercher | Menus

Annonce

DVD, clés USB et t-shirts Ubuntu-fr disponibles sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 21/10/2018, à 07:55

cqfd93

[Astuce] Thunderbird 60 forcer installation d'extensions incompatibles

Bonjour,

Avec l'arrivée de Thunderbird 60, il m'est arrivé les mêmes misères que beaucoup ont eues (en particulier avec Lightning - que je n'utilise pas) : plusieurs de mes extensions indispensables ne sont plus compatibles et bien sûr, elles n'ont pas d'équivalent parmi les extensions compatibles.

Alors j'ai ressorti une astuce à laquelle je n'avais pas eu recours depuis un bout de temps : modifier la version max de Thunderbird enregistrée dans le fichier d'installation.

  • Commencer par supprimer l'extension et au besoin redémarrer Thunderbird

  • Dans le navigateur internet, rechercher l'extension sur cette page https://addons.thunderbird.net/fr/thunderbird/

  • Cliquer droit sur le bouton vert Télécharger maintenant et choisir Enregistrer la cible du lien sous…. Le fichier .xpi se trouvera dans votre dossier de téléchargements.

  • Ouvrir le fichier .xpi avec le gestionnaire d'archives (mais inutile d'extraire). Il contient un fichier install.rdf, c'est ce fichier qu'il faut modifier.

  • Ouvrir install.rdf depuis le gestionnaire d'archives avec l'éditeur de textes et y rechercher une ligne du genre :
    <em:maxVersion>45.0</em:maxVersion>
    (le numéro peut être différent)

  • Remplacer le numéro par (soyons large) 100, enregistrer et accepter de mettre à jour le fichier dans l'archive. Fermer l'archive.

  • Dans le gestionnaire de modules complémentaires de Thunderbird, dérouler le petit menu Outils pour tous les modules (bouton roue dentée), choisir Installer un module depuis un fichier… et rechercher le fichier .xpi modifié, valider.

  • Il ne reste plus qu'à redémarrer Thunderbird si c'est requis.

Ça a marché pour moi avec deux extensions (BorderColors et TitleCase) mais je ne garantis pas que ça marchera avec n'importe quelle extension mais ça vaut toujours le coup d'essayer)


cqfd93

En ligne

#2 Le 21/10/2018, à 09:26

nam1962

Re : [Astuce] Thunderbird 60 forcer installation d'extensions incompatibles

Il y a aussi :
[Edition] – [Préférences] – [Avancé] – [Configuration avancée]

Là chercher :

extensions.strictCompatibility

et double cliquer dessus pour passer de True à False

Ça fonctionne par exemple pour Lightning, j'utilise cette astuce dans mes tutos (et vais y citer la tienne wink )

Dernière modification par nam1962 (Le 21/10/2018, à 09:36)


[ Modéré ]

Hors ligne

#3 Le 21/10/2018, à 12:13

cqfd93

Re : [Astuce] Thunderbird 60 forcer installation d'extensions incompatibles

nam1962 a écrit :

Il y a aussi :
[Edition] – [Préférences] – [Avancé] – [Configuration avancée]

Là chercher :

extensions.strictCompatibility

et double cliquer dessus pour passer de True à False

Ah oui, c'est bon à savoir ! Merci !


cqfd93

En ligne

#4 Le 21/10/2018, à 23:38

Coeur Noir

Re : [Astuce] Thunderbird 60 forcer installation d'extensions incompatibles

Ce sont des astuces intéressantes - et comme le suggère cqfd93, temporaires - mais pas pour Lightning https://forum.ubuntu-fr.org/viewtopic.p … #p21992307 puisque pour lui l'extension officielle stable, compatible, en français, existe bel et bien.


DébuterDocBien rédigerRetour commandeInsérer image | mes albums <>

Hors ligne

#5 Le 28/10/2018, à 15:40

Jean Sympa

Re : [Astuce] Thunderbird 60 forcer installation d'extensions incompatibles

A l’attention de nam1962 et de cqfd93

Il y a aussi :
[Edition] – [Préférences] – [Avancé] – [Configuration avancée]
Là chercher :
extensions.strictCompatibility
et double cliquer dessus pour passer de True à False
J’arrive jusqu’à Configuration avancée.

Je ne sais pas chercher ! Je ne trouve pas l’extension !
Cordialement
Papy


Windows 10 -  Ubuntu 16.04 LTS - LibreOffice 5.1.4.0 - ThunderBird 52.4.0
Firefox 56.0 - Portable LDLC

Hors ligne

#6 Le 28/10/2018, à 16:29

nam1962

Re : [Astuce] Thunderbird 60 forcer installation d'extensions incompatibles

Copie colle

extensions.strictCompatibility

Dans la barre en haut
1540740553.png


[ Modéré ]

Hors ligne

#7 Le 03/11/2018, à 20:23

cristobal78

Re : [Astuce] Thunderbird 60 forcer installation d'extensions incompatibles

Merci à cqfd93 et à Nam d'avoir ouvert ce fil car je n'arrivais plus à utiliser Slideshow un module Thunderbird bien commode pour regarder les photos reçues en pièces jointes sans avoir à les ouvrir une par une.  mad

La méthode Nam1962, d'une simplicité biblique, a résolu le pb en moins de 2 minutes !!!

Encore merci à tous les 2.  smile


un fixe DELL, 1 laptop LDLC tous 2 sous 16.04LTS et 1 laptop Lenovo sous 18.04 LTS

Hors ligne

#8 Le 05/12/2018, à 00:04

Coeur Noir

Re : [Astuce] Thunderbird 60 forcer installation d'extensions incompatibles

Encore une fois ces astuces sont intéressantes, mais :
- très certainement temporaires ( tôt ou tard certains modules ne seront plus compatibles )
- ne concernent pas l'agenda lightning ( pour qui une méthode fiable existe, afin de contourner le mauvais packaging de canonical )

Dernière modification par Coeur Noir (Le 05/12/2018, à 23:00)


DébuterDocBien rédigerRetour commandeInsérer image | mes albums <>

Hors ligne

#9 Le 05/12/2018, à 17:30

dedepapa

Re : [Astuce] Thunderbird 60 forcer installation d'extensions incompatibles

Bonsoir,
J'utilisais une extension que j'aimais bien "Autoup" dans lightning, permettant de mettre automatiquement une majuscule en début de phrase et un point en fin, puis de nouveau une majuscule si on redémarrait une phrase après le point.
Alors ça durera le temps que ça durera mais j'ai craqué pour la solution de "nam1962" et ça marche de nouveau.
Merci beaucoup.


Sous Ubuntu depuis 11.10 portable Dell Inspiron 15 5000 Series SSD 256Go DD 2To Ram 16Go

Hors ligne

#10 Le 03/01/2020, à 03:51

audemma

Re : [Astuce] Thunderbird 60 forcer installation d'extensions incompatibles

Bonjour et bonne année
qu'est-ce que le "gestionnaire d'archives" ?
J'ai une extension qui est juste énorme et dont je peux difficilement me passer (folderplus) qui permet en une touche (D) d'archiver un message dans le même dossier que les messages précédents. Cela me fait gagner un temps fou.
Elle avait été déjà désactivée avec la version 60 de TB mais j'avais réussi à la remettre en jouant sur les critères de compatibilité dans l'éditeur de config. Mais là ça ne marche pas. Je voudrais donc essayer la méthode décrite par cqfd93.
A moins que vous connaissiez une extension équivalente ?
Merci pour votre aide


cqfd93 a écrit :

Bonjour,

Avec l'arrivée de Thunderbird 60, il m'est arrivé les mêmes misères que beaucoup ont eues (en particulier avec Lightning - que je n'utilise pas) : plusieurs de mes extensions indispensables ne sont plus compatibles et bien sûr, elles n'ont pas d'équivalent parmi les extensions compatibles.

Alors j'ai ressorti une astuce à laquelle je n'avais pas eu recours depuis un bout de temps : modifier la version max de Thunderbird enregistrée dans le fichier d'installation.

  • Commencer par supprimer l'extension et au besoin redémarrer Thunderbird

  • Dans le navigateur internet, rechercher l'extension sur cette page https://addons.thunderbird.net/fr/thunderbird/

  • Cliquer droit sur le bouton vert Télécharger maintenant et choisir Enregistrer la cible du lien sous…. Le fichier .xpi se trouvera dans votre dossier de téléchargements.

  • Ouvrir le fichier .xpi avec le gestionnaire d'archives (mais inutile d'extraire). Il contient un fichier install.rdf, c'est ce fichier qu'il faut modifier.

  • Ouvrir install.rdf depuis le gestionnaire d'archives avec l'éditeur de textes et y rechercher une ligne du genre :
    <em:maxVersion>45.0</em:maxVersion>
    (le numéro peut être différent)

  • Remplacer le numéro par (soyons large) 100, enregistrer et accepter de mettre à jour le fichier dans l'archive. Fermer l'archive.

  • Dans le gestionnaire de modules complémentaires de Thunderbird, dérouler le petit menu Outils pour tous les modules (bouton roue dentée), choisir Installer un module depuis un fichier… et rechercher le fichier .xpi modifié, valider.

  • Il ne reste plus qu'à redémarrer Thunderbird si c'est requis.

Ça a marché pour moi avec deux extensions (BorderColors et TitleCase) mais je ne garantis pas que ça marchera avec n'importe quelle extension mais ça vaut toujours le coup d'essayer)

Dernière modification par audemma (Le 03/01/2020, à 04:00)

Hors ligne

#11 Le 03/01/2020, à 21:40

audemma

Re : [Astuce] Thunderbird 60 forcer installation d'extensions incompatibles

Bonjour

Finalement j'ai trouvé comment appliquer la modif expliquée ci-dessous.
Malheureusement impossible d'installer l'extension quand même. "Ce module n'a pas pu être installé car il n'est pas compatible avec Thunderbird 68.3.1".
Grrrrrr
Quelqu'un aurait-il une autre solution ?

audemma a écrit :

Bonjour et bonne année
qu'est-ce que le "gestionnaire d'archives" ?
J'ai une extension qui est juste énorme et dont je peux difficilement me passer (folderplus) qui permet en une touche (D) d'archiver un message dans le même dossier que les messages précédents. Cela me fait gagner un temps fou.
Elle avait été déjà désactivée avec la version 60 de TB mais j'avais réussi à la remettre en jouant sur les critères de compatibilité dans l'éditeur de config. Mais là ça ne marche pas. Je voudrais donc essayer la méthode décrite par cqfd93.
A moins que vous connaissiez une extension équivalente ?
Merci pour votre aide


cqfd93 a écrit :

Bonjour,

Avec l'arrivée de Thunderbird 60, il m'est arrivé les mêmes misères que beaucoup ont eues (en particulier avec Lightning - que je n'utilise pas) : plusieurs de mes extensions indispensables ne sont plus compatibles et bien sûr, elles n'ont pas d'équivalent parmi les extensions compatibles.

Alors j'ai ressorti une astuce à laquelle je n'avais pas eu recours depuis un bout de temps : modifier la version max de Thunderbird enregistrée dans le fichier d'installation.

  • Commencer par supprimer l'extension et au besoin redémarrer Thunderbird

  • Dans le navigateur internet, rechercher l'extension sur cette page https://addons.thunderbird.net/fr/thunderbird/

  • Cliquer droit sur le bouton vert Télécharger maintenant et choisir Enregistrer la cible du lien sous…. Le fichier .xpi se trouvera dans votre dossier de téléchargements.

  • Ouvrir le fichier .xpi avec le gestionnaire d'archives (mais inutile d'extraire). Il contient un fichier install.rdf, c'est ce fichier qu'il faut modifier.

  • Ouvrir install.rdf depuis le gestionnaire d'archives avec l'éditeur de textes et y rechercher une ligne du genre :
    <em:maxVersion>45.0</em:maxVersion>
    (le numéro peut être différent)

  • Remplacer le numéro par (soyons large) 100, enregistrer et accepter de mettre à jour le fichier dans l'archive. Fermer l'archive.

  • Dans le gestionnaire de modules complémentaires de Thunderbird, dérouler le petit menu Outils pour tous les modules (bouton roue dentée), choisir Installer un module depuis un fichier… et rechercher le fichier .xpi modifié, valider.

  • Il ne reste plus qu'à redémarrer Thunderbird si c'est requis.

Ça a marché pour moi avec deux extensions (BorderColors et TitleCase) mais je ne garantis pas que ça marchera avec n'importe quelle extension mais ça vaut toujours le coup d'essayer)

Hors ligne

#12 Le 03/01/2020, à 22:42

cqfd93

Re : [Astuce] Thunderbird 60 forcer installation d'extensions incompatibles

Bonjour,

L'astuce que je donnais était pour Thunderbird 60 et il y a de fortes chances que ça ne marche plus puisque le format des extensions a complètement changé. Je n'ai pas de solution à te donner pour 68.

Inutile de citer l'intégralité de mon message et aussi du tien, ça alourdit la discussion pour rien.


cqfd93

En ligne